Announcement

Collapse
No announcement yet.

Android Exporting

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Android Exporting

    How would i go about testing my game on android?
    Unreal Engine 4 Beta Tester

    #2
    Figured it out thanks anyways guys!
    Unreal Engine 4 Beta Tester

    Comment


      #3
      Originally posted by PhenomHDV View Post
      Figured it out thanks anyways guys!
      It would help others and be useful for future purposes if you posted how you did it :> It helps keep the community strong
      KITATUS
      "Information shouldn't be behind a paywall, It should be free for all!"

      Comment


        #4
        How I did it was I started with this documentation and moved from there: https://docs.unrealengine.com/latest...ted/index.html
        Unreal Engine 4 Beta Tester

        Comment


          #5
          Just to show that the TADP android exporter does work lol: http://gyazo.com/c2e66cabe0e6c9a8e98cc3492d21dcc0
          Unreal Engine 4 Beta Tester

          Comment


            #6
            What device are you using, and is your project working? I've got trouble getting my own project to work on my android devices (2012 Nexus 7 and HTC One S)... So I'm curious if you've not just managed to launch but also get it to work.
            Broad Strokes | Jan Kaluza | Marketplace Release: 'Over 9000 Swords' Modular Melee Weapon System
            Currently not available for freelance work
            Dev Blog & Tutorials | Twitter

            Comment


              #7
              Does anyone know which android version is required for ue4?

              Comment


                #8
                Originally posted by Cube2222 View Post
                Does anyone know which android version is required for ue4?
                Hi, here is no answer for now.
                You can check this thread for some information.

                Comment


                  #9
                  I actually got an info that it's api 9, although the default is 19.

                  Comment


                    #10
                    Originally posted by Cube2222 View Post
                    I actually got an info that it's api 9, although the default is 19.
                    Hm, not sure about it.
                    Maybe they have changed value in default manifest to one which they really tested against.
                    I've not seen information about this change.

                    Comment


                      #11
                      Originally posted by Cube2222 View Post
                      I actually got an info that it's api 9, although the default is 19.
                      The reasons for API Level 9 as a minimum on the target device are several: Native Activity, OpenGL ES 2.0, OpenSL, etc.
                      API Level 19 adds better support for gamepads, but it's not required to run UE4 (e.g. see AndroidInputInterface.h/.cpp).

                      Comment


                        #12
                        Originally posted by KitatusStudios View Post
                        It would help others and be useful for future purposes if you posted how you did it :> It helps keep the community strong
                        If you are interested, I'm documenting in detail the process of getting up and running on Android on this thread. It maybe of some help to you?
                        https://forums.unrealengine.com/show...-Galaxy-S1-%29

                        Comment

                        Working...
                        X